Bug 1643758 - There is a Segmentation fault at Sass::Parser::parse_css_variable_value_token in libsass3.5-stable.
Summary: There is a Segmentation fault at Sass::Parser::parse_css_variable_value_token...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libsass
Version: 31
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-28 13:09 UTC by shuitao gan
Modified: 2020-11-02 15:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-02 15:12:44 UTC
Type: Bug


Attachments (Terms of Use)
Trigger by "./sassc POC0" (285 bytes, application/x-rar)
2018-10-28 13:09 UTC, shuitao gan
no flags Details

Description shuitao gan 2018-10-28 13:09:56 UTC
Created attachment 1498274 [details]
Trigger by "./sassc POC0"

version: libsass3.5-stable
Summary: 

There is a Segmentation fault at Sass::Parser::parse_css_variable_value_token in libsass. 



$./sassc POC0
Segmentation fault

The GDB debugging information is as follow


(gdb) set args POC0
(gdb) r


Program received signal SIGSEGV, Segmentation fault.
0x00000000006c555c in Sass::Parser::parse_css_variable_value_token(bool) ()
...

Comment 1 Ben Cotton 2019-08-13 16:47:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Michael Catanzaro 2020-11-02 15:12:44 UTC
Red Hat Bugzilla is not an appropriate forum for reporting security bugs in upstream components. As you can see, your bug report here has been ignored for three years, and will likely continue to be ignored, so I'm going to go ahead and close it. Please feel free to report this upstream if you want the developers to look at it.


Note You need to log in before you can comment on or make changes to this bug.